This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 331041 - [PATCH] libvirt -> dnsmasq AVC causes failure
[PATCH] libvirt -> dnsmasq AVC causes failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-13 20:19 EDT by Warren Togami
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 13:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-10-13 20:19:51 EDT
[root@newcaprica dnsmasq]# service libvirtd restart
Stopping libvirtd daemon:                                  [  OK  ]
Starting libvirtd daemon:                                  [  OK  ]
dnsmasq[24840]: segfault at 00000000ffffffff rip 00000037dfa79530 rsp
00007fff5d62f4d8 error 4

module dnsmasqrule 1.0;

require {
        type virt_var_lib_t;
        type dnsmasq_t;
        class dir { write add_name };
        class file create;
}

#============= dnsmasq_t ==============
allow dnsmasq_t virt_var_lib_t:dir { write add_name };
allow dnsmasq_t virt_var_lib_t:file create;
Comment 1 Warren Togami 2007-10-13 20:41:01 EDT
I am seriously confused.  Prior to semodule -i, it failed on every attempt.  But
now after semodule -r and even a reboot, it wont fail anymore.

How can I be sure that my custom semodules are truly being removed?  This isn't
the first time this has happened to me.
Comment 2 Daniel Walsh 2007-10-15 13:15:17 EDT
You can search through the active policy with sesearch

sesearch --allow | grep dnmasq | grep virt_var_lib
Comment 3 Daniel Walsh 2007-10-15 13:17:00 EDT
BTW an update to policy includes these rules in dnmasq


optional_policy(`
	virt_rw_lib_files(dnsmasq_t)
')

So if inbetween the time you installed your policy module.  I fix upstream and
you update, this could happen.

Note You need to log in before you can comment on or make changes to this bug.